# Method: queries.reports.get

- [HTTP request](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#body.request_body)
- [Response body](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#body.response_body)
- [Authorization scopes](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#body.aspect)
- [Try it!](https://developers.google.com/bid-manager/reference/rest/v2/queries.reports/get#try-it)

Retrieves a report.

### HTTP request

`GET https://doubleclickbidmanager.googleapis.com/v2/queries/{queryId}/reports/{reportId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `queryId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the query that generated the report. |
| `reportId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the query to retrieve. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/bid-manager/reference/rest/v2/queries.reports#Report`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).